Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.bootstrap.basic
Class BasicKernelInitializer

    java.lang.Object
      org.jboss.kernel.plugins.bootstrap.AbstractKernelInitializer
          org.jboss.kernel.plugins.bootstrap.basic.BasicKernelInitializer

All Implemented Interfaces:
  KernelInitializer

public class BasicKernelInitializer
extends AbstractKernelInitializer

Bootstrap the kernel.

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock

Field Summary

Fields inherited from class org.jboss.kernel.plugins.bootstrap.AbstractKernelInitializer
`log, trace`

Constructor Summary
`BasicKernelInitializer()` Create a new basic kernel factory

Method Summary
`protected KernelBus` | `createKernelBus(Kernel kernel)` Create the kernel bus
`protected KernelConfigurator` | `createKernelConfigurator(Kernel kernel)` Create the configurator
`protected KernelController` | `createKernelController(Kernel kernel)` Create the kernel controller
`protected KernelEventManager` | `createKernelEventManager(Kernel kernel)` Create the kernel event manager
`protected KernelRegistry` | `createKernelRegistry(Kernel kernel)` Create the kernel registry
`protected KernelRegistryEntry` | `createKernelRegistryEntry(Kernel kernel, Object object)` Create a kernel registry entry
`protected Object` | `getName(String name)` Get the registration name
`void` | `initKernel(Kernel kernel)` Initialise a kernel
`protected void` | `register(Kernel kernel, Object name, Object object)` Register an object
`protected void` | `register(Kernel kernel, String name, Object object)` Register an object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicKernelInitializer

    public BasicKernelInitializer()
                           throws Exception

  Create a new basic kernel factory

Throws:
  `Exception` - for any error

Method Detail

### initKernel

    public void initKernel(Kernel kernel)
                    throws Throwable

  Description copied from interface: `KernelInitializer`
  Initialise a kernel

  Parameters:
    `kernel` - the kernel
  Throws:
    `Throwable` - for any error

### createKernelBus

    protected KernelBus createKernelBus(Kernel kernel)
                                 throws Throwable

  Create the kernel bus

  Parameters:
    `kernel` - the kernel
  Returns:
    the kernel bus
  Throws:
    `Throwable` - for any error

### createKernelConfigurator

    protected KernelConfigurator createKernelConfigurator(Kernel kernel)
                                                   throws Throwable

  Create the configurator

  Parameters:
    `kernel` - the kernel
  Returns:
    the configurator
  Throws:
    `Throwable` - for any error

### createKernelController

    protected KernelController createKernelController(Kernel kernel)
                                               throws Throwable

  Create the kernel controller

  Parameters:
    `kernel` - the kernel
  Returns:
    the kernel controller
  Throws:
    `Throwable` - for any error

### createKernelEventManager

    protected KernelEventManager createKernelEventManager(Kernel kernel)
                                                   throws Throwable

  Create the kernel event manager

  Parameters:
    `kernel` - the kernel
  Returns:
    the kernel event manager
  Throws:
    `Throwable` - for any error

### createKernelRegistry

    protected KernelRegistry createKernelRegistry(Kernel kernel)
                                           throws Throwable

  Create the kernel registry

  Parameters:
    `kernel` - the kernel
  Returns:
    the kernel registry
  Throws:
    `Throwable` - for any error

### register

    protected void register(Kernel kernel,
                            String name,
                            Object object)
                     throws Throwable

  Register an object

  Parameters:
    `kernel` - the kernel
    `name` - the name
    `object` - the object
  Throws:
    `Throwable`

### register

    protected void register(Kernel kernel,
                            Object name,
                            Object object)
                     throws Throwable

  Register an object

  Parameters:
    `kernel` - the kernel
    `name` - the name
    `object` - the object
  Throws:
    `Throwable`

### getName

    protected Object getName(String name)
                      throws Throwable

  Get the registration name

  Parameters:
    `name` - the name
  Returns:
    the registration name
  Throws:
    `Throwable` - for any error

### createKernelRegistryEntry

    protected KernelRegistryEntry createKernelRegistryEntry(Kernel kernel,
                                                            Object object)
                                                     throws Throwable

  Create a kernel registry entry

  Parameters:
    `kernel` - the kernel
    `object` - the object
  Returns:
    the entry
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.